Download it now!
Bug 78603 - WMF or EMF files with fonts rendered 4x too wide and overlapping
Summary: WMF or EMF files with fonts rendered 4x too wide and overlapping
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords: regression
Depends on:
Blocks: mab4.3
  Show dependency treegraph
 
Reported: 2014-05-12 13:16 UTC by Michael Stahl (CIB)
Modified: 2014-06-14 13:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stahl (CIB) 2014-05-12 13:16:56 UTC
regression in master vs. 4.2:

looking at the attachments in bug 65631 the preview images
of the OLEs are horribly mangled, the fonts are far too fat.
Comment 1 Commit Notification 2014-05-15 18:17:29 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7da0a6e562de26222a8c56ae9a5a51611264c59a

fdo#78603 mixup (Left->Top) in Rectangle construction



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.